LibOFX: OfxStatementRequest Class Reference

Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# OfxStatementRequest Class Reference

Inheritance diagram for OfxStatementRequest:

## Detailed Description

A statement request.

This is an entire OFX aggregate, with all subordinate aggregates needed to log onto the OFX server of a single financial institution and download a statement for a single account.

Definition at line 37 of file ofx_request_statement.hh.

## Public Member Functions
| OfxStatementRequest (const OfxFiLogin &fi, const OfxAccountInfo &account, time_t from)
| OfxStatementRequest (const OfxFiLogin &fi, const OfxAccountInfo &account, time_t from)
## Protected Member Functions
OfxAggregate | BankStatementRequest (void) const
OfxAggregate | CreditCardStatementRequest (void) const
OfxAggregate | InvestmentStatementRequest (void) const
OfxAggregate | BankStatementRequest (void) const
OfxAggregate | CreditCardStatementRequest (void) const
OfxAggregate | InvestmentStatementRequest (void) const

## Constructor & Destructor Documentation

OfxStatementRequest::OfxStatementRequest | ( | const OfxFiLogin & | fi,
|  | const OfxAccountInfo & | account,
|  | time_t | from
| ) |

  | Creates the request aggregate to obtain a statement from this `fi` for this `account`, starting on this `start` date, ending today. Parameters:
  | fi | The information needed to log on user into one financial institution
  | account | The account for which a statement is desired
  | start | The beginning time of the statement period desired
Definition at line 44 of file ofx_request_statement.cpp.

OfxStatementRequest::OfxStatementRequest | ( | const OfxFiLogin & | fi,
|  | const OfxAccountInfo & | account,
|  | time_t | from
| ) |

  | Creates the request aggregate to obtain a statement from this `fi` for this `account`, starting on this `start` date, ending today. Parameters:
  | fi | The information needed to log on user into one financial institution
  | account | The account for which a statement is desired
  | start | The beginning time of the statement period desired

## Member Function Documentation

OfxAggregate OfxStatementRequest::BankStatementRequest | ( | void |  | ) | const`[protected]`

| Creates a bank statement request aggregate, <bankmsgsrqv1>, <stmttrnrq> & <stmtrq> for this account. Should only be used if this account is a BANK account. Returns: The request aggregate created

OfxAggregate OfxStatementRequest::BankStatementRequest | ( | void |  | ) | const`[protected]`

| Creates a bank statement request aggregate, <bankmsgsrqv1>, <stmttrnrq> & <stmtrq> for this account. Should only be used if this account is a BANK account. Returns: The request aggregate created Definition at line 59 of file ofx_request_statement.cpp. Referenced by OfxStatementRequest().

OfxAggregate OfxStatementRequest::CreditCardStatementRequest | ( | void |  | ) | const`[protected]`

| Creates a credit card statement request aggregate, <creditcardmsgsrqv1>, <ccstmttrnrq> & <ccstmtrq> for this account. Should only be used if this account is a CREDIT CARD account. Returns: The request aggregate created

OfxAggregate OfxStatementRequest::CreditCardStatementRequest | ( | void |  | ) | const`[protected]`

| Creates a credit card statement request aggregate, <creditcardmsgsrqv1>, <ccstmttrnrq> & <ccstmtrq> for this account. Should only be used if this account is a CREDIT CARD account. Returns: The request aggregate created Definition at line 78 of file ofx_request_statement.cpp. Referenced by OfxStatementRequest().

OfxAggregate OfxStatementRequest::InvestmentStatementRequest | ( | void |  | ) | const`[protected]`

| Creates an investment statement request aggregate, <instmtmsgsrqv1>, <invstmttrnrq> & <invstmtrq> for this account. Should only be used if this account is an INVESTMENT account. Returns: The request aggregate created

OfxAggregate OfxStatementRequest::InvestmentStatementRequest | ( | void |  | ) | const`[protected]`

| Creates an investment statement request aggregate, <instmtmsgsrqv1>, <invstmttrnrq> & <invstmtrq> for this account. Should only be used if this account is an INVESTMENT account. Returns: The request aggregate created Definition at line 101 of file ofx_request_statement.cpp. Referenced by OfxStatementRequest().

The documentation for this class was generated from the following files:

- ofx_request_statement.hh
- fx-0.8.0/lib/ofx_request_statement.hh
- ofx_request_statement.cpp
- fx-0.8.0/lib/ofx_request_statement.cpp